Skip to main content
`Ctrl`+`K`

# PetscEmacsClientErrorHandler

Error handler that uses the emacsclient program to load the file where the error occurred. Then calls the “previous” error handler.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEmacsClientErrorHandler(MPI_Comm comm, int line, const char *fun, const char *file, PetscErrorCode n, PetscErrorType p, const char *mess, void *ctx)

Not Collective, No Fortran Support

## Input Parameters

- comm - communicator over which error occurred

- line - the line number of the error (usually indicated by `__LINE__` in the calling routine)

- file - the file in which the error was detected (usually indicated by `__FILE__` in the calling routine)

- fun - the function name of the calling routine

- mess - an error text string, usually just printed to the screen

- n - the generic error number

- p - `PETSC_ERROR_INITIAL` indicates this is the first time the error handler is being called while `PETSC_ERROR_REPEAT` indicates it was previously called

- ctx - error handler context

## Options Database Key

- -on_error_emacs <machinename> - will contact machinename to open the Emacs client there

## Note

You must put (server-start) in your .emacs file for the emacsclient software to work

## Developer Note

Since this is an error handler it cannot call `PetscCall()`; thus we just return if an error is detected. But some of the functions it calls do perform error checking that may not be appropriate in a error handler call.

## See Also

`PetscError()`, `PetscPushErrorHandler()`, `PetscPopErrorHandler()`, `PetscAttachDebuggerErrorHandler()`, `PetscAbortErrorHandler()`, `PetscMPIAbortErrorHandler()`, `PetscTraceBackErrorHandler()`, `PetscReturnErrorHandler()`, `PetscErrorType`, `PETSC_ERROR_INITIAL`, `PETSC_ERROR_REPEAT`, `PetscErrorCode`

## Level

developer

## Location

src/sys/error/err.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages